' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Dim objDSE, objContainer, objChild, objClass

Set objDSE = GetObject("LDAP://rootDSE")
Set objContainer = GetObject("LDAP://CN=Users," & _
	objDSE.Get("defaultNamingContext"))

For Each objChild In objContainer
	Set objClass = GetObject(objChild.Schema)
	If objClass.Container Then
		WScript.Echo "Cont: " + objChild.Name
	Else
		WScript.Echo "Leaf: " + objChild.Name
	End If
Next
