' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Dim objDSE, objChild, objPolicies

Set objDSE = GetObject("LDAP://rootDSE")
Set objPolicies = GetObject("LDAP://CN=Policies,CN=System," & _
	objDSE.Get("defaultNamingContext"))

For Each objChild In objPolicies
	If objChild.Class = "groupPolicyContainer" Then
		WScript.Echo objChild.Name & " - " & objChild.Get("displayName")
	End If
Next
